Lavalite package that provides crypto management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `forex/crypto`.

    "forex/crypto": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Forex\Crypto\Providers\CryptoServiceProvider::class,

And also add it to alias

    'Crypto'  => Forex\Crypto\Facades\Crypto::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Forex\\Crypto\\Seeders\\CryptoTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Forex\Crypto\Providers\CryptoServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Forex\Crypto\Providers\CryptoServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Forex\Crypto\Providers\CryptoServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/crypto/{modulename}

**User**

    http://path-to-route-folder/user/crypto/{modulename}

**Public**

    http://path-to-route-folder/cryptos


### API endpoints

**List**

    http://path-to-route-folder/api/user/crypto/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/crypto/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/crypto/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/crypto/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/crypto/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/crypto/{modulename}/{slug}
    METHOD: GET